## darkroom 1.1

=== CMakeLists.txt ===
project(darkroom)

find_package(KDE4 REQUIRED)
find_package(PNG REQUIRED)
find_package(Kdcraw REQUIRED)
find_package(Kexiv2 REQUIRED)
find_package(LCMS REQUIRED)

include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( doc )
add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( data )

=== src/CMakeLists.txt ===
set(darkroom_SRCS
   Darkroom.cpp
   main.cpp
   DarkroomView.cpp
   ListRawFileModel.cpp
   RawImageInfo.cpp
   JobThumbnail.cpp
   JobExport.cpp
   JobPreview.cpp
   PostProcessor.cpp
   ColorManager.cpp
 )


kde4_add_ui_files(darkroom_SRCS BatchProcessWidget.ui ExistingFilesDialog.ui PostProcessorWidget.ui )

kde4_add_executable(darkroom ${darkroom_SRCS})

target_link_libraries(darkroom ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDCRAW_LIBRARIES} ${KEXIV2_LIBRARIES} ${KDE4_THREADWEAVER_LIBRARIES} ${LCMS_LIBRARIES} )

install(TARGETS darkroom DESTINATION ${BIN_INSTALL_DIR} )

add_definitions( ${KDCRAW_DEFINITIONS} ${KEXIV2_DEFINITIONS} )
INCLUDE_DIRECTORIES( ${KDCRAW_INCLUDE_DIR} ${KEXIV2_INCLUDE_DIR} )
########### install files ###############

install( FILES darkroom.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES darkroomui.rc  DESTINATION  ${DATA_INSTALL_DIR}/darkroom )

## darkroom 1.3+svn

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,20 @@
 
 find_package(KDE4 REQUIRED)
 find_package(PNG REQUIRED)
+find_package(JPEG REQUIRED)
 find_package(Kdcraw REQUIRED)
 find_package(Kexiv2 REQUIRED)
 find_package(LCMS REQUIRED)
 
 include (KDE4Defaults)
+
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
+
+# Look for OpenCTL
+macro_optional_find_package(OpenCTL)
+
+macro_log_feature(OPENCTL_FOUND "OpenCTL" "OpenCTL is needed for images transformation" "http://www.openctl.org" FALSE "0.9.3")
+configure_file(config-openctl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-openctl.h )
 
 include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

=== src/CMakeLists.txt ===

include_directories( ${CMAKE_CURRENT_BINARY_DIR}/.. ${OPENCTL_INCLUDE_DIR} )

set(darkroom_SRCS
   Darkroom.cpp
   main.cpp
   DarkroomView.cpp
   ListOptionsModel.cpp
   ListRawFileModel.cpp
   RawImageInfo.cpp
   JobThumbnail.cpp
   JobExport.cpp
   JobPreview.cpp
   PostProcessor.cpp
   ColorManager.cpp
   PreviewInfo.cpp
   ProcessingOptions.cpp
   ProcessingOptionsInfo.cpp
# Export Codecs
   ExportCodec.cpp
   codecs/PngExportCodec.cpp
   codecs/JpegExportCodec.cpp
   codecs/iccjpeg.c
# External widgets
   ImageHistogram.cpp
   HistogramWidget.cpp
   kcurve.cc
   kgradientslider.cc
 )


kde4_add_ui_files(darkroom_SRCS
  OptionsBookmarksWidget.ui
  BatchProcessWidget.ui
  ExistingFilesDialog.ui
  HistogramDockerWidget.ui
  WhiteBalanceOptions.ui
  ColorOptions.ui
  LightOptions.ui
  NoiseReductionOptions.ui
  QualityOptions.ui
  LevelsOptions.ui
  ExportOptions.ui
# Export Codecs
  codecs/PngOptions.ui 
  codecs/JpegOptions.ui 
)

kde4_add_executable(darkroom ${darkroom_SRCS})

target_link_libraries(darkroom ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDCRAW_LIBRARIES} ${KEXIV2_LIBRARIES} ${KDE4_THREADWEAVER_LIBRARIES} ${LCMS_LIBRARIES} ${OPENCTL_LIBRARIES} ${JPEG_LIBRARY} )

install(TARGETS darkroom DESTINATION ${BIN_INSTALL_DIR} )

add_definitions( ${KDCRAW_DEFINITIONS} ${KEXIV2_DEFINITIONS} )
INCLUDE_DIRECTORIES( ${KDCRAW_INCLUDE_DIR} ${KEXIV2_INCLUDE_DIR} )
########### install files ###############

install( FILES darkroom.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES darkroomui.rc  DESTINATION  ${DATA_INSTALL_DIR}/darkroom )

## darkroom 1.5.0~svn1037635

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libraw )

SET(libraw_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_common.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_fileio.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/foveon.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_cxx.cpp
                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_c_api.cpp
   )

include_directories( ${CMAKE_CURRENT_BINARY_DIR}/.. ${OPENCTL_INCLUDE_DIR} )

set(darkroom_SRCS
   main.cpp
   ColorManager.cpp
   Darkroom.cpp
   DarkroomView.cpp
   Icons.cpp
   JobExport.cpp
   JobPreview.cpp
   JobThumbnail.cpp
   LibRawInterface.cpp
   ListOptionsModel.cpp
   ListRawFileModel.cpp
   MessagesModel.cpp
   PostProcessor.cpp
   PreviewInfo.cpp
   ProcessingOptions.cpp
   ProcessingOptionsInfo.cpp
   RawImageInfo.cpp
# Export Codecs
   ExportCodec.cpp
   codecs/PngExportCodec.cpp
   codecs/JpegExportCodec.cpp
   codecs/iccjpeg.c
# External widgets
   ImageHistogram.cpp
   HistogramWidget.cpp
   kcurve.cc
   kgradientslider.cc
 )


kde4_add_ui_files(darkroom_SRCS
  OptionsBookmarksWidget.ui
  BatchProcessWidget.ui
  ExistingFilesDialog.ui
  HistogramDockerWidget.ui
  WhiteBalanceOptions.ui
  ColorOptions.ui
  LightOptions.ui
  NoiseReductionOptions.ui
  QualityOptions.ui
  LevelsOptions.ui
  MessagesWidget.ui
  ExportOptions.ui
# Export Codecs
  codecs/PngOptions.ui 
  codecs/JpegOptions.ui 
)

add_definitions(-fexceptions)

kde4_add_executable(darkroom ${darkroom_SRCS} ${libraw_LIB_SRCS})

target_link_libraries(darkroom ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KEXIV2_LIBRARIES} ${KDE4_THREADWEAVER_LIBRARIES} ${LCMS_LIBRARIES} ${OPENCTL_LIBRARIES} ${JPEG_LIBRARY} )

install(TARGETS darkroom DESTINATION ${BIN_INSTALL_DIR} )

add_definitions( ${KEXIV2_DEFINITIONS} )
INCLUDE_DIRECTORIES( ${KEXIV2_INCLUDE_DIR} )
########### install files ###############

install( FILES darkroom.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES darkroomui.rc  DESTINATION  ${DATA_INSTALL_DIR}/darkroom )

## darkroom 1.5.0~svn1073625

=== debian/changelog ===
darkroom (1.5.0~svn1073625-0ubuntu4) precise; urgency=low

  * debian/control: libopenctl0.7 (NBS) → libopenctl0.8.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Mar 2012 11:09:11 +0100

darkroom (1.5.0~svn1073625-0ubuntu3) precise; urgency=low

  * Build-depend on libjpeg-dev instead of libjpeg62-dev.
  * Enable parallel building.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 27 Nov 2011 13:52:55 +0100

darkroom (1.5.0~svn1073625-0ubuntu2) oneiric; urgency=low

  * No change rebuild for libkexiv9 transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Aug 2011 23:50:36 -0400

darkroom (1.5.0~svn1073625-0ubuntu1) natty; urgency=low

  * New upstream snapshot, fixes FTBFS with newer GCC versions
  * Add kubuntu_01_linker_fix.diff to fix linking with ld's --as-needed flag
  * Bump Standards-Version to 3.9.1
  * Switch to source format 3.0 (quilt)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Dec 2010 11:58:00 -0500

darkroom (1.5.0~svn1037635-0ubuntu6) maverick; urgency=low

  * Build Depend on libopenctl0.7 instead of libopenctl-dev LP: #634305

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 10 Sep 2010 16:38:07 +0200

darkroom (1.5.0~svn1037635-0ubuntu5) maverick; urgency=low

  * Update kdegraphics related build-depends to libkdcraw-dev and
    libkexiv2-dev

 -- Scott Kitterman <scott@kitterman.com>  Mon, 07 Jun 2010 00:33:21 -0400

darkroom (1.5.0~svn1037635-0ubuntu4) maverick; urgency=low

  [ Felix Geyer ]
  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Remove unnecessary cdbs build-dependency.
  * Bump Standards-Version to 3.8.4, no changes needed.

  [ Jonathan Thomas ]
  * Drop unnecessary manual phonon dependency.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 02:19:12 +0200

darkroom (1.5.0~svn1037635-0ubuntu3) lucid; urgency=low

  * OpenGTL transition:
    - Bump build-depend version on libopenctl-dev to 0.9.12
  * Port packaging to debhelper7 short-style rules:
    - Bump debian/compat to 7
    - Bump debhelper build-depend version to 7
    - Bump pkg-kde-tools build-dependency to 0.5.0
    - Use dh --with kde in debian/rules
  * Drop libqt4-phonon-dev build dependency, darkroom doesn't depend on it

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 11 Jan 2010 16:55:06 -0500

darkroom (1.5.0~svn1037635-0ubuntu2) lucid; urgency=low

  * Udpate build-depends to libkdcraw8-dev, libkexiv2-8-dev for library
    transitions
  * Add missing build-depends on libjpeg62-dev and liblcms1-dev

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Dec 2009 00:36:23 -0500

darkroom (1.5.0~svn1037635-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Drop kubuntu_01_fix_to_work_with_kde_42.diff, applied upstream
  * Bump Standards-Version to 3.8.3, no changes required
  * Update maintainer to Ubuntu Developers

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 12:40:12 -0500

darkroom (1.3+svn-26122008-0ubuntu6) karmic; urgency=low

  * Include /usr/share/cdbs/1/rules/patchsys-quilt.mk to prevent FTBFS
    The patches weren't applying before (LP: #455432)
  * Bump Standards-Version to 3.8.3:
    - Add README.source for the quilt patch system
  * Update maintainer to Ubuntu Developers

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 19 Oct 2009 09:34:21 -0400

darkroom (1.3+svn-26122008-0ubuntu5) karmic; urgency=low

  * Include debhelper.mk to prevent FTBFS
  * darkroom depends on ${misc:Depends} to make lintian happy

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 02 Jun 2009 09:37:28 -0400

darkroom (1.3+svn-26122008-0ubuntu4) karmic; urgency=low

  * Rebuild upload for new opengtl
  * Bump Standards-Version to 3.8.1
  * Transition to /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk, build-dep
    on pkg-kde-tools
  * Remove needless build-depend on cmake

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Jun 2009 09:05:19 -0400

darkroom (1.3+svn-26122008-0ubuntu3) karmic; urgency=low

  * Fixed build-deps:
    Replaced libphonon-dev by libqt4-phonon-dev (>= 4.5.1)

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 22 May 2009 00:16:46 +0200

darkroom (1.3+svn-26122008-0ubuntu2) jaunty; urgency=low

  * Fix typo in debian/control - immage to image (LP: #345356)
  * Fix doc install location to kde instead of kde4 (LP: #349359)
  * Added a patch to make work with KDE 4.2 properly - Fixes FTBFS
    - kubuntu_01_fix_to_work_with_kde_42.diff

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 27 Mar 2009 01:33:51 -0500

darkroom (1.3+svn-26122008-0ubuntu1) jaunty; urgency=low

  * Latest svn version
  * Updated debian/rules to ues cdbs kde4.mk
  * Removed debian/cdbs dir
  * Updated build dep version to latest kde libs
  * Added build dep on libopenctl-dev

 -- Steve Stalcup <vorian@ubuntu.com>  Fri, 26 Dec 2008 12:37:59 -0500

darkroom (1.3-0ubuntu3) jaunty; urgency=low

  * No-change rebuild for multiple library transistions. 
  * Change libkdcraw-dev to libkdcraw7-dev in Build-Depends.
  * Change libkexiv2-dev to libkexiv2-7-dev in Build-Depends.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 06 Dec 2008 05:39:23 +1100

darkroom (1.3-0ubuntu2) jaunty; urgency=low

  * Corrected FTBFS on i386/amd64 by adding libphonon-dev
    to the build-deps
  * Added phonon as a dependency of darkroom to ensure that
    phonon is properly setup if darkroom is installed

 -- Michael Casadevall <sonicmctails@gmail.com>  Sun, 09 Nov 2008 00:57:42 -0500

darkroom (1.3-0ubuntu1) jaunty; urgency=low

  * New Upstream Release

 -- Michael Casadevall <sonicmctails@gmail.com>  Thu, 06 Nov 2008 19:54:22 -0500

darkroom (1.1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 30 Jul 2008 09:24:50 -0400

darkroom (1.0.1-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #250404)

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 20 Jul 2008 21:25:49 -0400

=== debian/control ===
Source: darkroom
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steve Stalcup <vorian@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev (>= 4:4.1.85), libxss-dev, libkdcraw-dev, libkexiv2-dev,
 libpng12-dev, libjpeg-dev, libopenctl0.8, liblcms1-dev
Standards-Version: 3.9.1
Homepage: http://cberger.net/Programs/Darkroom.html

Package: darkroom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dcraw
Description: image manipulation tool
 Darkroom is a raw decoder based on top of libkdcraw, which is a KDE library 
 around dcraw. It can export to 8bit or 16bit PNG, and can apply some 
 transformation on the images, like white balance adjustment, noise reduction,
 chromatic aberation correction, and more.

## darkroom 1.5.0~svn1280265

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 find_package(KDE4 REQUIRED)
 find_package(PNG REQUIRED)
 find_package(JPEG REQUIRED)
-find_package(Kdcraw REQUIRED)
 find_package(Kexiv2 REQUIRED)
 find_package(LCMS REQUIRED)

=== data/CMakeLists.txt ===
install( FILES
  sRGB_linear.icc
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/color/icc/darkroom)

=== doc/CMakeLists.txt ===
########### install files ###############
#

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR darkroom)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 kde4_add_executable(darkroom ${darkroom_SRCS} ${libraw_LIB_SRCS})
 
-target_link_libraries(darkroom ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KEXIV2_LIBRARIES} ${KDE4_THREADWEAVER_LIBRARIES} ${LCMS_LIBRARIES} ${OPENCTL_LIBRARIES} ${JPEG_LIBRARY} )
+target_link_libraries(darkroom ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KEXIV2_LIBRARIES} ${KDE4_THREADWEAVER_LIBRARIES} ${LCMS_LIBRARIES} ${OPENCTL_LIBRARIES} ${JPEG_LIBRARY} ${PNG_LIBRARIES} )
 
 install(TARGETS darkroom DESTINATION ${BIN_INSTALL_DIR} )

=== debian/changelog ===
darkroom (1.5.0~svn1280265-0ubuntu1) quantal; urgency=low

  * New upstream svn snapshot, fixes FTBFS with latest libkexiv2:
    - Add versioned build-depend on libkexiv2-dev (>= 4:4.8.80)
    - Drop kubuntu_01_linker_fix.diff, applied upstream
  * Bump debhelper version to 9:
    - Bump debhelper build dependency to 9.
    - Bump debian/compat to 9.
    - Fix order of debhelper options in debian/rules.
  * Bump Standards-Version to 3.9.3.1, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 09 Jun 2012 19:37:14 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Steve Stalcup <vorian@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
- kdelibs5-dev (>= 4:4.1.85), libxss-dev, libkdcraw-dev, libkexiv2-dev,
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5.0), cmake,
+ kdelibs5-dev, libxss-dev, libkdcraw-dev, libkexiv2-dev (>= 4:4.8.80),
  libpng12-dev, libjpeg-dev, libopenctl0.8, liblcms1-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3.1
 Homepage: http://cberger.net/Programs/Darkroom.html
 
 Package: darkroom

=== debian/watch ===
version=3
http://cberger.net/download/darkroom-([0-9].*)\.tar\.bz2
